#sccs	"@(#)uts/kern/sys:callo.h	1.1"

/*	Convergent Technologies - System V - May 1983	*/

#ifndef callout_h
#define callout_h

#include <sys/types.h>

/*
 * The callout structure is for a routine arranging
 * to be called by the clock interrupt
 * (clock.c) with a specified argument,
 * in a specified amount of time.
 * Used, for example, to time tab delays on typewriters.
 */

struct	callo
{
	int	c_time;		/* incremental time */
	int	c_id;		/* timeout id */
	caddr_t	c_arg;		/* argument to routine */
	int	(*c_func)();	/* routine */
};
#ifdef KERNEL
extern struct callo *callout;
#endif
#endif callout_h
