#sccs "@(#)tam:tam.h	1.5"
 
/* user-includeable tam definition file		*/
/* Bob Glossman			5/1/84		*/
#ifndef tam_h

#define tam_h

#include	<sys/window.h>
#include	<kcodes.h>

#define NWINDOW _NFILE	/* max # of windows in a single process	*/
			/* must be >= NOFILE in <sys/param.h>	*/

struct wstat { short begy,begx,height,width; unsigned short uflags; };
typedef struct wstat WSTAT;

extern short wncur;		/* current window */
extern short LINES, COLS;	/* screen dimensions */
extern char  w_target;		/* target on override flag */

/* defines for curses compatibility */

#define stdscr wncur
#define	addch(ch)		wputc(wncur, ch)
#define addstr(str)		wputs(wncur, str)
#define beep()			wputc(wncur, 07)
#define clear()			addstr("\033[2J")
#define clearok(dum1,dum2)
#define clrtobot()		addstr("\033[J")
#define clrtoeol()		addstr("\033[K")
#define delch()			addstr("\033[P")
#define deleteln()		addstr("\033[M")
#define erase()			clear()
#define flash()			beep()
#define getyx(dummy,row,col)	{ int wyy,wxx; wgetpos(wncur,&wyy,&wxx); row=wyy; col=wxx; }
#define insch(ch)		{ addstr("\033[@"); addch(ch); }
#define insertln()		addstr("\033[L")
#define leaveok(dum1,dum2)
#define move(row,col)		wgoto(wncur,row,col)
#define mvaddch(row,col,ch)	{ move(row,col); addch(ch); }
#define mvaddstr(row,col,str)	{ move(row,col); addstr(str); }
#define mvinch(row,col,ch)	{ move(row,col); insch(ch); }
#define nodelay(dummy, bool)	wndelay(wncur, bool)
#define refresh()		wrefresh(wncur)
#define A_STANDOUT A_REVERSE

#endif tam_h
